EXISTWrapperFactory
Keywords: uk.ac.bbk.dcs.automed.xml.wrappers.EXISTWrapperFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.bbk.dcs.automed.xml.wrappers
Class EXISTWrapperFactory

    java.lang.Object
      uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
          uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
              uk.ac.bbk.dcs.automed.xml.wrappers.NXDBWrapperFactory
                  uk.ac.bbk.dcs.automed.xml.wrappers.EXISTWrapperFactory

    public class EXISTWrapperFactory

extends NXDBWrapperFactory

Class Task Description

Author:
  Lucas Zamboulis

Field Summary

Fields inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
`_logger, EXTRACT_USING_DOM, EXTRACT_USING_DTD, EXTRACT_USING_SAX, EXTRACT_USING_XML_SCHEMA, VALIDATING, WHITESPACE_COLLAPSE, WHITESPACE_REPLACE, xmldssExtractionMethod`

Fields inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`automedModelName, baseName, empty, factoryInUse, modelName, SOURCE_PREFIX`

Constructor Summary
`EXISTWrapperFactory()`

Method Summary
`protected AutoMedWrapper` | `newAutoMedWrapper()` Create a new empty wrapper instance that this wrapper factory is then able to populate.

Methods inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.NXDBWrapperFactory
`populateSchema`

Methods inherited from class uk.ac.bbk.dcs.automed.xml.wrappers.XMLWrapperFactory
`createAutoMedSchema, getAccompanyingSchemaRootName, getAccompanyingSchemaURI, getAutoMedModel, getFeatureNames, getModel, getXMLDSSExtractionMethod, setAccompanyingSchemaRootName, setAccompanyingSchemaURI, setXMLDSSExtractionMethod`

Methods inherited from class uk.ac.ic.doc.automed.wrappers.AutoMedWrapperFactory
`clearFeatures, getAttributeDomains, getAutoMedModelName, getFeatures, getModelBaseName, getModelName, isFeatureInUse, safeIQL, setAttributeDomains, setFeatures, setFeatures, setModelBaseName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EXISTWrapperFactory

    public EXISTWrapperFactory()

Method Detail

### newAutoMedWrapper

    protected AutoMedWrapper newAutoMedWrapper()

  Description copied from class: `AutoMedWrapperFactory`
  Create a new empty wrapper instance that this wrapper factory is then able to populate.

  Overrides:
    `newAutoMedWrapper` in class `XMLWrapperFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD